Skip to main content
`Ctrl`+`K`

# BVSetBufferVec

Attach a vector object to be used as buffer space for several operations.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetBufferVec(BV bv,Vec buffer)

Collective

## Input Parameters

- bv - the basis vectors context)

- buffer - the vector

## Notes

Use `BVGetBufferVec()` to retrieve the vector (for example, to free it at the end of the computations).

The vector must be sequential of length \((n_c+m)m\), where \(m\) is the number of columns of `bv` and \(n_c\) is the number of constraints.

## See Also

BV: Basis Vectors, `BVGetBufferVec()`, `BVSetSizes()`, `BVGetNumConstraints()`

## Level

developer

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages